Notification Rule Update
PUT
https://api.deepinfo.com/v1/platform/notification-rules/{rule_id}Updates a notification rule's name, delivery time, members and enabled. scope and strategy cannot be changed.
Authentication
Send your API key in the apikey request header.
Path Parameters
| Parameter | Required | Description |
|---|---|---|
rule_ | Required | Example 000000000000000e8e040001 |
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Required | min length 1; max length 255 |
delivery_ | integer | Optional | min 0.0; max 23.0 |
delivery_ | integer | Optional | min 0.0; max 6.0 |
members | array | Required | min items 1 |
enabled | boolean | Required |
application/json
{
"name": "Critical issues",
"delivery_hour": 8,
"members": [
"00000000-0000-4000-8000-00006bb60001"
],
"enabled": true
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | |
name | string | |
scope | string | One of new_, reappeared_, asset_, asset_, asset_ssl_changed, asset_, asset_dns_changed, domain_, domain_, new_, new_asset_added, new_, reappeared_, new_, new_, new_, new_, new_, new_, new_, new_ |
frequency | string | One of instant, hourly, daily, weekly, monthly |
delivery_ | integer | |
delivery_ | integer | |
members | array of object | |
enabled | boolean | |
added_ | string | date-time |
last_ | string | date-time |
strategy | object |
Response Schema
Inferred from examples Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.
| Field | Type | Example |
|---|---|---|
id | string | "000000000000000e8e040001" |
name | string | "Critical issues" |
scope | string | "new_asset_added" |
frequency | string | "daily" |
delivery_hour | number | 8 |
delivery_day_of_week | null | |
members | array< | |
members[]. | string | "00000000-0000-4000-8000-0000f3aa0001" |
members[]. | string | |
enabled | boolean | true |
added_date | string | "2025-06-01T08:00:00Z" |
last_update_date | string | "2025-07-01T08:00:00Z" |
strategy | null |
Examples
Selecting one loads it into the request and response panels.